pub mod read;
pub mod write;

use sqlx::sqlite::{SqlitePool, SqlitePoolOptions};

pub async fn init_pool(database_url: &str) -> Result<SqlitePool, sqlx::Error> {
    SqlitePoolOptions::new().connect(database_url).await
}

pub type Pool = SqlitePool;
